lwIP 2.1.2 Lightweight IP stack

Functions
altcp_tcp.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/altcp.h"`
`#include "lwip/altcp_tcp.h"`
`#include "lwip/priv/altcp_priv.h"`
`#include "lwip/tcp.h"`
`#include "lwip/mem.h"`
`#include <string.h>`

## Functions
struct altcp_pcb * | altcp_tcp_alloc (void *arg, u8_t ip_type)

## Detailed Description

Application layered TCP connection API (to be used from TCPIP thread)
This interface mimics the tcp callback API to the application while preventing direct linking (much like virtual functions). This way, an application can make use of other application layer protocols on top of TCP without knowing the details (e.g. TLS, proxy connection).

This file contains the base implementation calling into tcp.

## Function Documentation

## ◆ altcp_tcp_alloc()

struct altcp_pcb* altcp_tcp_alloc | ( | void * | arg,
|  | u8_t | ip_type
| ) |  |

altcp_tcp allocator function fitting to altcp_allocator_t / altcp_new.

arg pointer is not used for TCP.